version: '2.4'

services:
  jupyter:
    build:
      context: '.'
      args:
        uid: ${DOCKER_COMPOSE_UID:-9999}
        gid: ${DOCKER_COMPOSE_GID:-9999}
    ports:
      - 8888:8888
    volumes:
      - ${NOTEBOOK_DIR:-./examples}:/notebooks
    links:
      - postgres:postgres
    user: ${DOCKER_COMPOSE_UID:-9999}:${DOCKER_COMPOSE_GID:-9999}
    restart: ${RESTART_SERVICES:-no}
  postgres:
    image: postgres:9.6
    ports:
       - 5432:5432
    environment:
      POSTGRES_USER: 'test'
      POSTGRES_PASSWORD: 'test'
    restart: ${RESTART_SERVICES:-no}

  pgadmin:
    image: dpage/pgadmin4
    environment:
      PGADMIN_DEFAULT_EMAIL: ${PGADMIN_DEFAULT_EMAIL:-pgadmin4@pgadmin.org}
      PGADMIN_DEFAULT_PASSWORD: ${PGADMIN_DEFAULT_PASSWORD:-admin}
    volumes:
       - ${PWD}/etc/servers.json:/pgadmin4/servers.json
       - ${PWD}/etc/pgpass.conf:/pgadmin4/pgpass.conf
    ports:
      - "${PGADMIN_PORT:-5050}:80"
    restart: ${RESTART_SERVICES:-no}
